Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdrg_top
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdrg_top	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdrg_top	(revision 10126)
@@ -1,11 +1,11 @@
 !-----------------------------------------------------------------------
-&namdrg_top        !   TOP friction                                     (ln_isfcav=T)
+&namdrg_top    !   TOP friction                                         (ln_OFF =F & ln_isfcav=T)
 !-----------------------------------------------------------------------
-   rn_Cd0     =  1.e-3     !  drag coefficient [-]
-   rn_Uc0     =  0.4       !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
-   rn_Cdmax   =  0.1       !  drag value maximum [-] (logarithmic drag)
-   rn_ke0     =  2.5e-3    !  background kinetic energy  [m2/s2] (non-linear cases)
-   rn_z0      =  3.0e-3    !  roughness [m] (ln_loglayer=T)
-   ln_boost   = .false.    !  =T regional boost of Cd0 ; =F constant
-      rn_boost=  50.          !  local boost factor  [-]
+   rn_Cd0      =  1.e-3    !  drag coefficient [-]
+   rn_Uc0      =  0.4      !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
+   rn_Cdmax    =  0.1      !  drag value maximum [-] (logarithmic drag)
+   rn_ke0      =  2.5e-3   !  background kinetic energy  [m2/s2] (non-linear cases)
+   rn_z0       =  3.0e-3   !  roughness [m] (ln_loglayer=T)
+   ln_boost    = .false.   !  =T regional boost of Cd0 ; =F constant
+      rn_boost =  50.         !  local boost factor  [-]
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_adv
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_adv	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_adv	(revision 10126)
@@ -2,5 +2,5 @@
 &namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynadv_NONE= .false. !  linear dynamics (no momentum advection)
+   ln_dynadv_OFF = .false. !  linear dynamics (no momentum advection)
    ln_dynadv_vec = .false. !  vector form - 2nd centered scheme
      nn_dynkeg     = 0        ! grad(KE) scheme: =0   C2  ;  =1   Hollingsworth correction
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_ldf
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_ldf	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_ldf	(revision 10126)
@@ -3,28 +3,30 @@
 !-----------------------------------------------------------------------
    !                       !  Type of the operator :
-   ln_dynldf_NONE=  .false.    !  No operator (i.e. no explicit diffusion)
-   ln_dynldf_lap =  .false.    !    laplacian operator
-   ln_dynldf_blp =  .false.    !  bilaplacian operator
+   ln_dynldf_OFF = .false.     !  No operator (i.e. no explicit diffusion)
+   ln_dynldf_lap = .false.     !    laplacian operator
+   ln_dynldf_blp = .false.     !  bilaplacian operator
    !                       !  Direction of action  :
-   ln_dynldf_lev =  .false.    !  iso-level
-   ln_dynldf_hor =  .false.    !  horizontal (geopotential)
-   ln_dynldf_iso =  .false.    !  iso-neutral
+   ln_dynldf_lev = .false.     !  iso-level
+   ln_dynldf_hor = .false.     !  horizontal  (geopotential)
+   ln_dynldf_iso = .false.     !  iso-neutral (lap only)
    !                       !  Coefficient
-   nn_ahm_ijk_t  = 0           !  space/time variation of eddy coef
-   !                                !  =-30  read in eddy_viscosity_3D.nc file
-   !                                !  =-20  read in eddy_viscosity_2D.nc file
-   !                                !  =  0  constant 
-   !                                !  = 10  F(k)=c1d
-   !                                !  = 20  F(i,j)=F(grid spacing)=c2d
-   !                                !  = 30  F(i,j,k)=c2d*c1d
-   !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
-   !                                !  = 32  F(i,j,k)=F(local gridscale and deformation rate)
-   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
-   rn_ahm_0      =  40000.     !  horizontal laplacian eddy viscosity   [m2/s]
-   rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
-   rn_bhm_0      = 1.e+12      !  horizontal bilaplacian eddy viscosity [m4/s]
-   !                       !  Smagorinsky settings (nn_ahm_ijk_t  = 32) :
-   rn_csmc       = 3.5         !  Smagorinsky constant of proportionality
-   rn_minfac     = 1.0         !  multiplier of theorectical lower limit
-   rn_maxfac     = 1.0         !  multiplier of theorectical upper limit
+   nn_ahm_ijk_t  = 0           !  space/time variation of eddy coefficient :
+      !                             !  =-30  read in eddy_viscosity_3D.nc file
+      !                             !  =-20  read in eddy_viscosity_2D.nc file
+      !                             !  =  0  constant 
+      !                             !  = 10  F(k)=c1d
+      !                             !  = 20  F(i,j)=F(grid spacing)=c2d
+      !                             !  = 30  F(i,j,k)=c2d*c1d
+      !                             !  = 31  F(i,j,k)=F(grid spacing and local velocity)
+      !                             !  = 32  F(i,j,k)=F(local gridscale and deformation rate)
+      !                        !  time invariant coefficients :  ahm = 1/2  Uv*Lv   (lap case) 
+      !                             !                            or  = 1/12 Uv*Lv^3 (blp case)
+      rn_Uv      = 0.1              !  lateral viscous velocity [m/s] (nn_ahm_ijk_t= 0, 10, 20, 30)
+      rn_Lv      = 10.e+3           !  lateral viscous length   [m]   (nn_ahm_ijk_t= 0, 10)
+      !                       !  Smagorinsky settings  (nn_ahm_ijk_t= 32) :
+      rn_csmc       = 3.5         !  Smagorinsky constant of proportionality
+      rn_minfac     = 1.0         !  multiplier of theorectical lower limit
+      rn_maxfac     = 1.0         !  multiplier of theorectical upper limit
+      !                       !  iso-neutral laplacian operator (ln_dynldf_iso=T) :
+      rn_ahm_b      = 0.0         !  background eddy viscosity  [m2/s]
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_spg
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_spg	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_spg	(revision 10126)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namdyn_spg    !   surface pressure gradient                            (default: NO)
+&namdyn_spg    !   surface pressure gradient                            (default: NO selection)
 !-----------------------------------------------------------------------
    ln_dynspg_exp  = .false.   ! explicit free surface
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_vor
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_vor	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namdyn_vor	(revision 10126)
@@ -1,10 +1,14 @@
 !-----------------------------------------------------------------------
-&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO)
+&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .false. !  energy conserving scheme
+   ln_dynvor_ene = .false. !  energy    conserving scheme
+   ln_dynvor_ens = .false. !  enstrophy conserving scheme
    ln_dynvor_mix = .false. !  mixed scheme
+   ln_dynvor_enT = .false. !  energy conserving scheme (T-point)
+   ln_dynvor_eeT = .false. !  energy conserving scheme (een using e3t)
    ln_dynvor_een = .false. !  energy & enstrophy scheme
-      nn_een_e3f = 1          ! e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
-   ln_dynvor_msk = .false. !  vorticity multiplied by fmask (=T) or not (=F) (all vorticity schemes)  ! PLEASE DO NOT ACTIVATE
+      nn_een_e3f = 1          ! =0  e3f = mi(mj(e3t))/4 
+      !                       ! =1  e3f = mi(mj(e3t))/mi(mj( tmask))
+   ln_dynvor_msk = .false. !  vorticity multiplied by fmask (=T)        ==>>> PLEASE DO NOT ACTIVATE
+      !                    !  (f-point vorticity schemes only)
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/nameos
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/nameos	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/nameos	(revision 10126)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nameos        !   ocean Equation Of Seawater                           (default: NO)
+&nameos        !   ocean Equation Of Seawater                           (default: NO selection)
 !-----------------------------------------------------------------------
    ln_teos10   = .false.         !  = Use TEOS-10
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namhsb
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namhsb	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namhsb	(revision 10126)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namhsb        !  Heat and salt budgets                                  (default F)
+&namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
    ln_diahsb   = .false.   !  check the heat and salt budgets (T) or not (F)
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namlbc
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namlbc	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namlbc	(revision 10126)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&namlbc        !   lateral momentum boundary condition
+&namlbc        !   lateral momentum boundary condition                  (default: NO selection)
 !-----------------------------------------------------------------------
    !                       !  free slip  !   partial slip  !   no slip   ! strong slip
-   rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+   rn_shlat    =  -9999.   !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
    ln_vorlat   = .false.   !  consistency of vorticity boundary condition with analytical Eqs.
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namobs
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namobs	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namobs	(revision 10126)
@@ -1,6 +1,7 @@
 !-----------------------------------------------------------------------
-&namobs        !  observation usage switch
+&namobs        !  observation usage switch                              (default: OFF)
 !-----------------------------------------------------------------------
    ln_diaobs   = .false.             ! Logical switch for the observation operator
+   !
    ln_t3d      = .false.             ! Logical switch for T profile observations
    ln_s3d      = .false.             ! Logical switch for S profile observations
@@ -51,5 +52,5 @@
    nn_2dint_sss = 0                  ! Horizontal interpolation method for SSS
    nn_2dint_sic = 0                  ! Horizontal interpolation method for SIC
-   nn_msshc    = 0                   ! MSSH correction scheme
+   nn_msshc     = 0                  ! MSSH correction scheme
    nn_profdavtypes = -1              ! Profile daily average types - array
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namptr
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namptr	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namptr	(revision 10126)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namptr        !   Poleward Transport Diagnostic                         (default F)
+&namptr        !   Poleward Transport Diagnostic                        (default: OFF)
 !-----------------------------------------------------------------------
    ln_diaptr   = .false.   !  Poleward heat and salt transport (T) or not (F)
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namrun
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namrun	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namrun	(revision 10126)
@@ -2,5 +2,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number (no more used...)
+   nn_no       =       0   !  Assimilation cycle index
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
@@ -10,9 +10,9 @@
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-      nn_euler    =    1            !  = 0 : start with forward time step if ln_rstart=T
-      nn_rstctl   =    0            !  restart control ==> activated only if ln_rstart=T
-      !                             !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
-      !                             !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
-      !                             !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
+      nn_euler    =    1      !  = 0 : start with forward time step if ln_rstart=T
+      nn_rstctl   =    0      !  restart control ==> activated only if ln_rstart=T
+      !                          !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+      !                          !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+      !                          !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
       cn_ocerst_in    = "restart"   !  suffix of ocean restart name (input)
       cn_ocerst_indir = "."         !  directory from which to read input ocean restarts
@@ -29,3 +29,5 @@
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
    nn_chunksz  =       0   !  chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
+   ln_xios_read = .FALSE.  !  use XIOS to read restart file (only for a single file restart)
+   nn_wxios = 0      !  use XIOS to write restart file 0 - no, 1 - single file output, 2 - multiple file output
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc	(revision 10126)
@@ -1,42 +1,42 @@
 !-----------------------------------------------------------------------
-&namsbc        !   Surface Boundary Condition (surface module)
+&namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 5         !  frequency of surface boundary condition computation
-                           !     (also = the frequency of sea-ice & iceberg model call)
+   nn_fsbc     = 5         !  frequency of SBC module call
+      !                    !  (control sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
    ln_usr      = .false.   !  user defined formulation                  (T => check usrdef_sbc)
    ln_flx      = .false.   !  flux formulation                          (T => fill namsbc_flx )
-   ln_blk      = .false.    !  Bulk formulation                          (T => fill namsbc_blk )
-                     ! Type of coupling (Ocean/Ice/Atmosphere) :
+   ln_blk      = .false.   !  Bulk formulation                          (T => fill namsbc_blk )
+      !              ! Type of coupling (Ocean/Ice/Atmosphere) :
    ln_cpl      = .false.   !  atmosphere coupled   formulation          ( requires key_oasis3 )
    ln_mixcpl   = .false.   !  forced-coupled mixed formulation          ( requires key_oasis3 )
    nn_components = 0       !  configuration of the opa-sas OASIS coupling
-                           !  =0 no opa-sas OASIS coupling: default single executable config.
-                           !  =1 opa-sas OASIS coupling: multi executable config., OPA component
-                           !  =2 opa-sas OASIS coupling: multi executable config., SAS component 
+      !                    !  =0 no opa-sas OASIS coupling: default single executable config.
+      !                    !  =1 opa-sas OASIS coupling: multi executable config., OPA component
+      !                    !  =2 opa-sas OASIS coupling: multi executable config., SAS component 
                      ! Sea-ice :
-   nn_ice      = 2         !  =0 no ice boundary condition   ,
-                           !  =1 use observed ice-cover      ,
-                           !  =2 or 3 automatically for LIM3 or CICE    ("key_lim3" or "key_cice")
-                           !          except in AGRIF zoom where it has to be specified
+   nn_ice      = 0         !  =0 no ice boundary condition    
+      !                    !  =1 use observed ice-cover                 (  => fill namsbc_iif )
+      !                    !  =2 or 3 automatically for SI3 or CICE    ("key_si3" or "key_cice")
+      !                    !          except in AGRIF zoom where it has to be specified
    ln_ice_embd = .false.   !  =T embedded sea-ice (pressure + mass and salt exchanges)
-                           !  =F levitating ice (no pressure, mass and salt exchanges)
+      !                    !  =F levitating ice (no pressure, mass and salt exchanges)
                      ! Misc. options of sbc : 
-   ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
+   ln_traqsr   = .false.   !  Light penetration in the ocean            (T => fill namtra_qsr)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle on short wave
-   ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
-   ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   nn_fwb      = 2         !  FreshWater Budget: =0 unchecked
-                           !     =1 global mean of e-p-r set to zero at each time step
-                           !     =2 annual global mean of e-p-r set to zero
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
+      !                    !     =1 global mean of e-p-r set to zero at each time step
+      !                    !     =2 annual global mean of e-p-r set to zero
+   ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
    ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
-   ln_isf      = .false.   !  ice shelf                                 (T   => fill namsbc_isf)
+   ln_isf      = .false.   !  ice shelf                                 (T   => fill namsbc_isf & namsbc_iscpl)
    ln_wave     = .false.   !  Activate coupling with wave  (T => fill namsbc_wave)
    ln_cdgw     = .false.   !  Neutral drag coefficient read from wave model (T => ln_wave=.true. & fill namsbc_wave)
    ln_sdw      = .false.   !  Read 2D Surf Stokes Drift & Computation of 3D stokes drift (T => ln_wave=.true. & fill namsbc_wave) 
    nn_sdrift   =  0        !  Parameterization for the calculation of 3D-Stokes drift from the surface Stokes drift
-                           !   = 0 Breivik 2015 parameterization: v_z=v_0*[exp(2*k*z)/(1-8*k*z)]
-                           !   = 1 Phillips:                      v_z=v_o*[exp(2*k*z)-beta*sqrt(-2*k*pi*z)*erfc(sqrt(-2*k*z))]
-                           !   = 2 Phillips as (1) but using the wave frequency from a wave model
+      !                    !   = 0 Breivik 2015 parameterization: v_z=v_0*[exp(2*k*z)/(1-8*k*z)]
+      !                    !   = 1 Phillips:                      v_z=v_o*[exp(2*k*z)-beta*sqrt(-2*k*pi*z)*erfc(sqrt(-2*k*z))]
+      !                    !   = 2 Phillips as (1) but using the wave frequency from a wave model
    ln_tauwoc   = .false.   !  Activate ocean stress modified by external wave induced stress (T => ln_wave=.true. & fill namsbc_wave)
    ln_tauw     = .false.   !  Activate ocean stress components from wave model
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc_apr
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc_apr	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc_apr	(revision 10126)
@@ -2,11 +2,12 @@
 &namsbc_apr    !   Atmospheric pressure used as ocean forcing           (ln_apr_dyn =T)
 !-----------------------------------------------------------------------
-!              ! file name ! frequency (hours) ! variable ! time interp.!  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !           !  (if <0  months)  !   name   !  (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_apr      = 'patm'    ,         -1        ,'somslpre',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,      ''
-
-   cn_dir      = './'      !  root directory for the location of the bulk files
    rn_pref     = 101000.   !  reference atmospheric pressure   [N/m2]/
    ln_ref_apr  = .false.   !  ref. pressure: global mean Patm (T) or a constant (F)
    ln_apr_obc  = .false.   !  inverse barometer added to OBC ssh data
+
+   cn_dir = './'        !  root directory for the Patm data location
+   !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
+   sn_apr      = 'patm'                  ,         -1        ,'somslpre' ,   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,      ''
 /
Index: NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc_blk
===================================================================
--- NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc_blk	(revision 10121)
+++ NEMO/branches/2018/dev_r10057_ENHANCE03_ZTILDE/doc/namelists/namsbc_blk	(revision 10126)
@@ -1,17 +1,5 @@
 !-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk =T)
+&namsbc_blk    !   namsbc_blk  generic Bulk formula                     (ln_blk =T)
 !-----------------------------------------------------------------------
-!              !  file name                   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                              ! rotation ! land/sea mask !
-!              !                              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                             ! pairing  ! filename      !
-   sn_wndi     = 'u_10.15JUNE2009_fill'       ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Uwnd'   , ''
-   sn_wndj     = 'v_10.15JUNE2009_fill'       ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Vwnd'   , ''
-   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_tair     = 't_10.15JUNE2009_fill'       ,         6         , 'T_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_humi     = 'q_10.15JUNE2009_fill'       ,         6         , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_prec     = 'ncar_precip.15JUNE2009_fill',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_snow     = 'ncar_precip.15JUNE2009_fill',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP'     ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_tdif     = 'taudif_core'                ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
    !                    !  bulk algorithm :
    ln_NCAR     = .false.   ! "NCAR"      algorithm   (Large and Yeager 2008)
@@ -19,14 +7,28 @@
    ln_COARE_3p5= .false.   ! "COARE 3.5" algorithm   (Edson et al. 2013)
    ln_ECMWF    = .false.   ! "ECMWF"     algorithm   (IFS cycle 31)
-   !
-   cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
-   rn_zqt      = 10.       !  Air temperature and humidity reference height (m)
-   rn_zu       = 10.       !  Wind vector reference height (m)
-   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
-   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
-   rn_vfac     = 0.        !  multiplicative factor for ocean & ice velocity used to
-   !                       !  calculate the wind stress (0.=absolute or 1.=relative winds)
-   ln_Cd_L12   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2012)
-   ln_Cd_L15   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
+      !
+      rn_zqt      = 10.       !  Air temperature & humidity reference height (m)
+      rn_zu       = 10.       !  Wind vector reference height (m)
+      ln_Cd_L12   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2012)
+      ln_Cd_L15   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
+      ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
+      rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
+      rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
+      rn_vfac     = 0.        !  multiplicative factor for ocean & ice velocity used to
+      !                       !  calculate the wind stress (0.=absolute or 1.=relative winds)
+
+   cn_dir      = './'      !  root directory for the bulk data location
+   !___________!_________________________!___________________!___________!_____________!________!___________!______________________________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
+   sn_wndi     = 'u_10.15JUNE2009_fill'       ,    6         , 'U_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'  , 'Uwnd'   , ''
+   sn_wndj     = 'v_10.15JUNE2009_fill'       ,    6         , 'V_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'  , 'Vwnd'   , ''
+   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'SWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'LWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_tair     = 't_10.15JUNE2009_fill'       ,    6         , 'T_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_humi     = 'q_10.15JUNE2009_fill'       ,    6         , 'Q_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_prec     = 'ncar_precip.15JUNE2009_fill',   -1         , 'PRC_MOD1',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_snow     = 'ncar_precip.15JUNE2009_fill',   -1         , 'SNOW'    ,   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,    6         , 'SLP'     ,   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_tdif     = 'taudif_core'                ,   24         , 'taudif'  ,   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
 /
